import request from '@/utils/request'

// 查询其他行政处罚信息列表
export function listAdministrative(query) {
    return request({
        url: '/crmOtherPenaltyAdministrative/findByPage',
        method: 'get',
        params: query
    })
}

// 查询其他行政处罚信息详细
export function getAdministrative(id) {
    return request({
        url: '/crmOtherPenaltyAdministrative/' + id,
        method: 'get'
    })
}

// 新增其他行政处罚信息
export function addAdministrative(data) {
    return request({
        url: '/crmOtherPenaltyAdministrative',
        method: 'post',
        data: data
    })
}

// 修改其他行政处罚信息
export function updateAdministrative(data) {
    return request({
        url: '/crmOtherPenaltyAdministrative',
        method: 'put',
        data: data
    })
}

// 删除其他行政处罚信息
export function delAdministrative(id) {
    return request({
        url: '/crmOtherPenaltyAdministrative/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delAdministrativeBatch(ids) {
    console.log(ids);
    return request.post('/crmOtherPenaltyAdministrative/delete',ids)
}